title: Revoke All User Keys keywords: - revoke all user keys - delete - revoke - all - user - keys # Revoke All User Keys Revoke all Flowplate API keys for a user. #### Headers **`x-flowplate-master-key`** string required Flowplate master API key for internal service authentication. #### Path Parameters **`user_id`** string required The user id parameter. ## Returns **`success`** boolean Whether the action was successful **`message`** string Action result message Example ```bash cURL curl -X DELETE "https://api.aitronos.com/v1/flowplate/api-keys/user/{user_id}" \ -H "X-API-Key: $FREDDY_API_KEY" ``` ```python Python import os import requests api_key = os.environ["FREDDY_API_KEY"] response = requests.delete( "https://api.aitronos.com/v1/flowplate/api-keys/user/{user_id}", headers={"X-API-Key": api_key} ) print(response.json()) ``` ```javascript JavaScript const apiKey = process.env.FREDDY_API_KEY; const response = await fetch('https://api.aitronos.com/v1/flowplate/api-keys/user/{user_id}', { method: 'DELETE', headers: { 'X-API-Key': apiKey } }); const data = await response.json(); console.log(data); ``` **Response:** ```json 200 OK { "success": true, "message": "Operation completed successfully" } ``` Errors ```json 401 Unauthorized { "success": false, "error": { "code": "AUTHENTICATION_REQUIRED", "message": "Authentication required. Please provide a valid API key.", "system_message": "Missing or invalid authorization header", "type": "authentication_error", "status": 401, "details": {}, "trace_id": "req_abc123xyz", "timestamp": "2025-11-11T10:30:00Z" } } ``` ```json 403 Forbidden { "success": false, "error": { "code": "INSUFFICIENT_PERMISSIONS", "message": "You do not have permission to access this resource.", "system_message": "Insufficient permissions for this operation", "type": "authorization_error", "status": 403, "details": {}, "trace_id": "req_def456uvw", "timestamp": "2025-11-11T10:30:00Z" } } ``` ## Related Resources - [Revoke Flowplate API Key](/docs/api-reference/flowplate/revoke-flowplate-api-key) - [Create Flowplate API Key](/docs/api-reference/flowplate/create-flowplate-api-key)